package com.bjsxt.service.impl;

import com.bjsxt.exception.UsersException;
import com.bjsxt.mapper.UsersMapper;
import com.bjsxt.pojo.Users;
import com.bjsxt.service.UserService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

//通常作用在业务层（Service 层），用于将业务层的类标识为 Spring 中的 Bean，其功 能与 @Component 相同。
@Service
public class UserServiceImpl implements UserService {
    //用于对 Bean 的属性变量、方法及构造方法进行标注，完成 Bean 的自动注入处理。 @Autowired 按照 Bean 的类型进行装配。
    @Autowired
    private UsersMapper usersMapper;
    /**
     * 用户登录
     * @param username
     * @param userpwd
     * @return
     */
    @Override
    public Users userLogin(String username, String userpwd) {
        Users users = this.usersMapper.selectUserByName(username);
        if(users == null){
            throw new UsersException("用户不存在或密码有误");
        }else if (!users.getUsername().equals(userpwd)){
                //密码有误
                throw new UsersException("用户不存在或密码有误");
            }
        return users;
    }
}
